package main

import "fmt"

// section: code
func main() {
	fmt.Printf("This is an int: %s\n", 42)
	fmt.Printf("This is a string: %d\n", "hello")
}

// section: code

/*
// section: output-bad
This is an int: %!s(int=42)
This is a string: %!d(string=hello)
// section: output-bad

// section: output-good
This is an int: 42
This is a string: hello
// section: output-good

// section: vet
$ go vet main.go
# command-line-arguments
./main.go:6:2: Printf format %s has arg 42 of wrong type int
./main.go:7:2: Printf format %d has arg "hello" of wrong type string
// section: vet
*/
